'use strict';

//region Imports
var path = require('path');
var fs = require('fs');
var _ = require('lodash');
//endregion

main.getConfigPath = getConfigPath;

module.exports = main;

////////////////////////////////////////////////////////////////////////////////

function getConfigPath() {
  return path.join(process.cwd(), './babelator.js');
}

function getConfig() {
  // If `babelator.js` exists, grab config settings from there.
  var babelatorConfigPath = getConfigPath();
  return fs.existsSync(babelatorConfigPath) ? require(babelatorConfigPath) : {};
}

function main() {

  var opts = _.defaultsDeep({}, getConfig(), {
    srcDir: 'src',
    destDir: 'lib',
    shouldCompileTests: true,
    //eslintrc: {}
    //mocha: {},
    babel: {}
  });

  // Computed config.
  _.defaultsDeep(opts, {
    srcGlob: opts.srcDir + '/**/*.js',
    destGlob: opts.destDir + '/**/*',
    testsGlob: opts.srcDir + '/**/__tests__/**/*-test.js',
    testsDestGlob: opts.destDir + '/**/__tests__/**/*-test.js' });

  // Transpiled tests.
  _.defaultsDeep(opts.babel, {});

  return opts;
}