//region Imports
const _ = require('lodash')
const path = require('path')
const cwd = require('cwd')
//endregion

function getOpts(opts) {
  return _.defaults(opts, {
    srcGlob: '',
    // TODO(vjpr)!
    //eslint: {configFile: path.join(__dirname, './eslintrc.json')},
    eslint: {configFile: './.eslintrc'},
  })
}

export default (gulp, opts) => {

  opts = getOpts(opts)

  gulp.task('lint', function() {
    const eslint = require('gulp-eslint')

    return gulp.src(opts.srcGlob).pipe(eslint(opts.eslint)).pipe(eslint.format()).pipe(eslint.failAfterError())
  })

  gulp.task('lint:bootstrap', (done) => {
    const replaceFile = require('../util/replaceFile')

    const dest = cwd('.eslintrc')
    replaceFile(dest, JSON.stringify(eslintrc, null, 2), done)
  })

}

const eslintrc = {
  "extends": "./node_modules/babelator/defaults/.eslintrc"
}
