export default (gulp, opts) => {

  gulp.task('flow:check', (done) => {
    const {spawnSync} = require('child_process')

    // TODO(vjpr): Limit output to fit on screen to allow user to work through errors from first to last.
    spawnSync('flow', ['status', '--no-auto-start'], {stdio: 'inherit'})
    done()
  })

  gulp.task('flow:watch', gulp.series('flow:check', function watcher() {
    const gutil = require('gulp-util')

    // Used by `compile` task to check whether we should only compile changed files.
    gulp.isWatching = true

    // Sometimes we might want to use src, sometimes something else.
    gulp.watch(opts.srcGlob, gulp.series('flow:check')).on('change', (evt) => {
      gutil.log('---')
      gutil.log('File changed:', gutil.colors.red(evt.path))
    })

  }))

  // TODO(vjpr): Do.
  //gulp.task('flow:bootstrap')

}

const flowConfig = ''
